🔗 REST APIOrder Book

Historical data

Get historical order book snapshots for a specific symbol within time range, returned in time ascending order.

The historical order book data via the REST API is currently limited by a number of updates and to the maximum number of 50 levels.

This endpoint supports hourly granularity for APITP data with automatic fallback to daily data for older records. Timestamps are normalized to hour boundaries, and data is fetched per hour with precise filtering to your exact time range.

For querying a full day of data, use the 'date' parameter. For specific time ranges (including cross-day or multi-hour queries), use 'time_start' and 'time_end'.

GET
/v1/orderbooks/{symbol_id}/history
Authorization<token>

API Key is required to access the endpoints

In: header

Path Parameters

symbol_id*string

Symbol identifier for requested timeseries (from the Metadata -> Symbols)

Query Parameters

date?string

Date in ISO 8601, returned data is for the whole given day (required if 'time_start' is not provided)

time_start?string

Starting time in ISO 8601 (supports hourly precision, e.g., 2026-01-16T11:00:00Z)

time_end?string

Timeseries ending time in ISO 8601 (optional, supports cross-day queries)

limit?integer

Amount of items to return (optional, minimum is 1, maximum is 100000, default value is 100, if the parameter is used then every 100 output items are counted as one request)

Formatint32
Default100
limit_levels?integer

Maximum amount of levels from each side of the book to include in response (optional, maximum is 50)

Formatint32

Response Body

curl -X GET "https://example.com/v1/orderbooks/string/history"
[  {    "symbol_id": "BITSTAMP_SPOT_BTC_USD",    "time_exchange": "2013-09-28T22:40:50.0000000Z",    "time_coinapi": "2017-03-18T22:42:21.3763342Z",    "asks": [      {        "price": 456.35,        "size": 123      },      {        "price": 456.36,        "size": 23      }    ],    "bids": [      {        "price": 456.1,        "size": 42      },      {        "price": 456.09,        "size": 5      }    ]  }]